From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/portage:master commit in: /, bin/
Date: Wed, 17 May 2023 06:20:22 +0000 (UTC) [thread overview]
Message-ID: <1684304412.b444a4baa113dcf9f779fa68b056b8ac5e9ea5ea.sam@gentoo> (raw)
commit: b444a4baa113dcf9f779fa68b056b8ac5e9ea5ea
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed May 17 06:12:32 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed May 17 06:20:12 2023 +0000
URL: https://gitweb.gentoo.org/proj/portage.git/commit/?id=b444a4ba
emerge-webrsync: fall back correctly to manual gpg if no gemato
Bug: https://bugs.gentoo.org/905868
Signed-off-by: Sam James <sam <AT> gentoo.org>
NEWS | 3 +++
bin/emerge-webrsync | 9 +++++++++
2 files changed, 12 insertions(+)
diff --git a/NEWS b/NEWS
index 505fde7c6..baf1140f8 100644
--- a/NEWS
+++ b/NEWS
@@ -15,6 +15,9 @@ Bug fixes:
both of them now use the same main path for PGP verification (i.e.
gemato).
+* emerge-webrsync: Fall back correctly to manual gpg (rather than aborting
+ entirely) if gemato is not installed (bug #905868).
+
Cleanups:
* Convert printf-style %-formats into fstrings.
diff --git a/bin/emerge-webrsync b/bin/emerge-webrsync
index b953624d4..e707f8b9b 100755
--- a/bin/emerge-webrsync
+++ b/bin/emerge-webrsync
@@ -302,6 +302,8 @@ check_file_signature_gemato() {
# a keyring problem).
die "signature verification failed"
fi
+ else
+ return 127
fi
return "${r}"
@@ -346,6 +348,13 @@ check_file_signature() {
1)
check_file_signature_gemato "${signature}" "${file}"
r=$?
+
+ if [[ ${r} -eq 127 ]] ; then
+ ewarn "Falling back to gpg as gemato is not installed"
+ check_file_signature_gpg_unwrapped "${signature}" "${file}"
+ r=$?
+ fi
+
;;
2)
check_file_signature_gpg_unwrapped "${signature}" "${file}"
next reply other threads:[~2023-05-17 6:20 UTC|newest]
Thread overview: 19+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-05-17 6:20 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-13 2:34 [gentoo-commits] proj/portage:master commit in: /, bin/ Sam James
2023-12-27 21:18 Ulrich Müller
2023-12-04 6:45 Sam James
2023-05-01 7:21 Sam James
2022-12-05 4:04 Sam James
2022-09-29 20:45 Sam James
2022-09-29 20:45 Sam James
2022-09-29 20:45 Sam James
2022-09-29 20:45 Sam James
2022-09-29 20:45 Sam James
2022-08-19 17:59 Mike Gilbert
2022-07-18 20:42 Sam James
2020-08-01 1:57 Zac Medico
2017-09-02 21:37 Michał Górny
2014-08-19 7:01 Michał Górny
2014-08-12 21:55 Alexander Berntsen
2012-03-27 15:19 Zac Medico
2012-03-27 14:40 Zac Medico
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1684304412.b444a4baa113dcf9f779fa68b056b8ac5e9ea5ea.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox